/* hansjaeger.com - General CSS
===================================== */

/* =====  1 Global Rules & Definitions  ===================================== */

/* -----  1.1 Font Definitions  --------------------------------------------- */

/* Google Open Sans */
@import url(//fonts.googleapis.com/css?family=Open+Sans);
/* Google Montserrat */
@import url('https://fonts.googleapis.com/css?family=Montserrat|Roboto+Mono');

/* -----  1.2 Reset & Normalization  ---------------------------------------- */

*, *::before, *::after {
  margin: 0;
  padding: 0;
  border: none;
  box-sizing: border-box;
  list-style: none;
}

article, aside, details, figcaption, figure,
footer, header, main, menu, nav, section, summary {
  /* Add correct display for IE 9- and some newer browsers */
  display: block;
}

::-moz-selection {
  background: #71efac;
  color: #261e66;
}

::selection {
  background: #71efac;
  color: #261e66;
}

/* -----  1.3 General Typography  ------------------------------------------- */

/* Links */
a {
  color: inherit;
  text-decoration: none;
}

a:hover, a:focus, a:active {
  /*color: #560bed;*/
}


/* =====  2 Layout Helpers & Reusable Components  =========================== */

/* clearfix */
.cf::after {
    clear: both;
    content: "";
    display: table;
}

/* =====  3 Site Layout  ==================================================== */

html {
    background: #fff;
    color: #969998;
    /*font-family: 'Open Sans', sans-serif;*/
    /*font-family: 'Montserrat', sans-serif;*/
    font-family: 'Roboto Mono', monospace;
    font-size: 100%;
    /* Always show the vertical scrollbar to prevent `jumps`
     of page content after navigating from a very short page
     that does not scroll to a long pager */
    overflow-y: scroll;
    /* Setting this to `default` prevents the cursors from
     changing when hovering blocks of text or whitespace,
     which is less distracting */
    cursor: default;
    /* Neccessary for sticks footer. */
    position: relative;
    min-height: 100%;
    /* Prevent adjustments of font size after orientation
     changes in IE and iOS. */
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    /* Highlight color for WebKit-bases touch devices. */
    -webkit-tap-highlight-color: rgba(113, 239, 172, .5);
}

body {
    /* space for sticky footer */
    /*margin-bottom: 4.5rem;*/
}

/* Site content general*/
.site {
    margin: 0 auto;
    max-width: 1100px;
    padding: 1em 1em;
}

@media all and (max-width: 40em) {
    html {
        /* We decrease the font-size a little-bit for tiny
           screens. Because this stylesheet uses relative units
           everywhere, everything scales nicely. */
        font-size: 95%;
    }
}

@media all and (min-width:40em) {
    .site {        
        padding: 2em 1em;
    }
}


/* ----- 3.1  Header  ------------------------------------------------------- */

/* Header settings */
.header {
  padding-top: 1.5rem;
  padding-bottom: 1.5rem;
  background: #212020 url("../images/science-pattern.png") repeat scroll right top;
  color: #fff;
}

/* brand */
.brand {
    font-size: 1rem;
    font-family: 'Montserrat', sans-serif;
    color: #fff;
    padding-bottom: 0.8em;
}
.logo {
    background: url("../images/logo.png") no-repeat scroll left top;
    background-size: 1.75em;
    display: inline-block;
    font-size: 28px;
    font-size: 1.25rem;
    padding: 0.24em 0 1em 2.4em;
    text-transform: lowercase;
    z-index: 999;
}
.brand .red-text {
    color: #ff4d00;
}

@media all and (min-width:40em) {
    .brand {
        font-size: 1.5rem;
        padding: 1.5rem 0 1.2rem 0 ;
    }
    .logo {
        font-size: 1.6rem;
    }
}



/* -----  3.2 Menu  --------------------------------------------------------- */
.menu,
.menu a {
    border-top: 1px solid #444
}
.menu {
    border-bottom: 2px solid #444;
}
.menu li {
    float: left;
    width: 50%;
}
.menu a {
    display: block;
    padding: 1em 0;
    font-weight: 600;
}
.menu a:hover, .menu li.is-active a {
    color: #ff4d00;
}

.menu-left li:nth-child(odd) {
    border-right: 1px solid #444
}

.menu-right li:nth-child(1),
.menu-right li:nth-child(2) {
    /*display: none*/
}


@media screen and (max-width:40em) {
    .menu-left li:nth-child(even) a,
    .menu-right li:nth-child(odd) a {
        padding-left: 1em
    }
}

@media screen and (min-width:40em) {
    .menu li, .menu-left {
        float: left
    }
    .menu {
        border-top: 0
    }
    .menu li {
        width: auto;
        position: relative;
        margin-right: 2em;
        border: 0
    }
    .menu li:last-child {
        margin-right: 0
    }
    .menu a {
        border: none;
        display: block;
        padding: 1em 0;
        font-weight: 600;
    }
    .menu-left li:nth-child(odd) {
        border: 0
    }
    .menu-right {
        float: right
    }
    .menu-right li:nth-child(1),
    .menu-right li:nth-child(2) {
        display: block
    }
    .menu-right li:after {
        position: absolute;
        /*content: "\203A";*/
        top: .5em;
        right: -.75em;
        color: #bbb;
        font-size: 1.5em;
        font-weight: 200
    }
    .menu-right li:last-child:after {
        display: none
    }
}

/* -----  3.3 About Short  ----------------------------------------------------- */
.about-site {
    padding: 1.5rem 0 0 0;
    font-size: 3rem;
}
.about-site .copy {
    padding-top: 1rem;
    font-size: 1.25rem;
    line-height: 2em;
    color: #969998;
}
@media screen and (min-width:40em) {
    .about-site {
        font-size: 4rem;
    }
    .about-site .copy {
        padding-top: 1rem;
        font-size: 1.5rem;
        line-height: 2em;
    }
}

/* -----  3.4 Main Content  ------------------------------------------------- */

.main {
    padding-bottom: 1.5rem;
}
.main .copy {
    font-size: 1.1rem;
}

.flex-container {
    display: flex;
    align-items: top;
    flex-wrap: wrap;
    justify-content: space-between;
}
.flex-container .cell {
    width: 100%;
    padding-bottom: 1rem;
}
.flex-container .cell-1 {
    margin-right: 1.5rem;
}
.flex-container .cell-complete {
    width: 100%;
}

@media screen and (min-width:40em) {
    .flex-container .cell {
        width: 47%;
    }
    .main .copy {
        font-size: 1rem;
    }
}

/* -----  3.5 Footer ------------------------------------------------- */

.footer {
    background-color: #474043;
    font-size: 1.2rem;
}
.footer-header {
    padding-bottom: 1.5rem;
    font-weight: 600;
    font-size: 1.7rem;
}
.footer .cell-2 {
    padding-top: 2rem;
}
#datenschutz-display h2, #datenschutz-display h3 {
    margin-top: 1rem;
}
.footer a:hover {
    text-decoration: underline;
}


@media screen and (min-width:40em) {
    .footer .cell-2 {
        padding-top: 0 !important;
    }
}


/* =====  4 Template-specific Components ==================================== */

/* -----  4.1 Homepage  ----------------------------------------------------- */
.home .box-header {
    /*color: #ff0200;*/
    color: #ff4d00;
    font-size: 2.5rem;
    padding-bottom: 0.3rem;
}
.home .copy-subhead {
    font-weight: 700;
    color: #868887;
    padding-top: .7rem;
    padding-bottom: .2rem;
    font-size: 1.1rem;
}
.home .copy-bigsubhead {
    color: #ff4d00;
    font-size: 2rem;
    padding-top: 1.2rem;
}
.home .copy-big {
    font-weight: 500;
    font-size: 1.2rem;
}
.home .copy li {
    list-style: disc;
    padding-left: .5rem;
}
.home .copy ul {
    padding-left: 1rem;
    padding-top: .3rem;
}

@media screen and (min-width:40em) {
    .home .box-header {
        font-size: 3rem;
    }
    .home .copy-subhead {
        font-weight: 600;
        color: #969998;
        font-size: 1rem;
    }
    .home .copy-big {
        font-weight: 500;
        font-size: 1.5rem;
    }
}